Type to search.

Fetch all users

  • GET /users
Auth

Fetches all available users.

Query parameters

include_disabled boolean · default: false

True if disabled users should be included in the response

Response

Users successfully fetched

application/json
users object[] required

A list of users

user_name string required

The user's identifier

security object required

A user's security information

roles string[]

The set of roles assigned to a user

permissions string[]

The distinct set of permissions allowed by the user's roles. These correspond to operationId values in the OpenAPI definition.

password string

The user's password. Only used when modifying a user.

enabled boolean

True if the user is enabled

full_name string

The user's optional full name

email string

The user's optional email address

builtin boolean

True if the user is a built-in read-only user